package com.yc.ship.module.trade.enums;


import com.yc.ship.framework.common.core.IntArrayValuable;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Arrays;


/**
 * 核销内容类型
 */
@RequiredArgsConstructor
@Getter
public enum CheckMachineTypeEnum implements IntArrayValuable {
    Window(0, "窗口售票机"),
    Auto(1, "自助售票机"),
    Gate(2, "闸机"),
    PDA(3, "手持机");

    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(CheckMachineTypeEnum::getType).toArray();

    /**
     * 类型值
     */
    private final Integer type;
    /**
     * 类型名
     */
    private final String name;

    @Override
    public int[] array() {
        return ARRAYS;
    }

}